#include<iostream.h>
#include<iomanip.h>
 int main()
{
 const int n=30;
 int a[n],i,sum,max,min;
 float aver;
 cout<<"请输入全班同学的C++成绩："<<endl;
 for(i=0;i<n;i++)
  cin>>a[i];
 for(i=1,sum=a[0],max=min=a[0];i<n;i++)
 {
  sum+=a[i];
  if(max<a[i])
   max=a[i];  //确保max是当前最高分
  if(min>a[i])
   min=a[i]; //确保min是当前最低分
 }
 aver=1.0*sum/n;//计算平均成绩
 cout<<"最高分为"<<max<<"，最低分为"<<min<<endl;
 cout<<"平均成绩为"<<setprecision(3)<<aver<<endl;
 return(0);
}
